# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "3.0.0")
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 3.0.0...3.28)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS QEGlobalCompileDefinitions qe_openmp_fortran qe_openacc_fortran qe_openacc_c qe_mpi_fortran qe_lapack qe_scalapack qe_elpa qe_external_libxc qe_hdf5_fortran qe_hdf5_c qe_ext_prof_tool qe_fox FoX_fsys FoX_utils FoX_common FoX_dom FoX_sax FoX_wxml qe_wannier90 qe_mbd qe_devxlib pw2qmcpack_mpi_c pw2qmcpack_hdf5_c pw2qmcpack_esh5 pw2qmcpack_exe qe_ext_fft qe_fftx qe_fftx_c qe_utilx qe_utilx_c qe_device_lapack qe_modules qe_modules_c qe_lax qe_xclib qe_libbeef qe_xc_infos qe_kssolver_davidson qe_kssolver_davidsonrci qe_kssolver_cg qe_kssolver_ppcg qe_kssolver_paro qe_kssolver_dense qe_kssolver_rmmdiis qe_dftd3 qe_pw qe_pw_exe qe_pw_tools_ibrav2cell_exe qe_pw_tools_cell2ibrav_exe qe_pw_tools_ev_exe qe_pw_tools_kpoints_exe qe_pw_tools_pwi2xsf_exe qe_pw_tools_scan_ibrav_exe qe_cpv qe_cpv_exe qe_cpv_manycp_exe qe_cpv_cppp_exe qe_cpv_wfdd_exe qe_atomic qe_atomic_exe qe_xml qe_upflib qe_upflib_virtual_v2_exe qe_upflib_upfconv_exe qe_upflib_casino2upf_exe qe_upflib_hgh2qe_exe qe_couple qe_lr_modules qe_phonon_ph qe_phonon_phaux qe_phonon_gamma qe_phonon_fd qe_phonon_ph_exe qe_phonon_phcg_exe qe_phonon_dynmat_exe qe_phonon_q2r_exe qe_phonon_dvscf_q2r_exe qe_phonon_matdyn_exe qe_phonon_q2qstar_exe qe_phonon_lambda_exe qe_phonon_alpha2f_exe qe_phonon_epa_exe qe_phonon_fqha_exe qe_phonon_fd_exe qe_phonon_fdef_exe qe_phonon_fdifc_exe qe_phonon_postahc_exe qe_pp qe_pp_exe qe_pp_opengrid_exe qe_pp_average_exe qe_pp_bands_exe qe_pp_dos_exe qe_pp_pawplot_exe qe_pp_planavg_exe qe_pp_plotband_exe qe_pp_plotproj_exe qe_pp_plotrho_exe qe_pp_pmw_exe qe_pp_projwfc_exe qe_pp_pw2wannier90_exe qe_pp_pw2critic_exe qe_pp_wfck2r_exe qe_pp_initial_state_exe qe_pp_pw2gw_exe qe_pp_pw2gt_exe qe_pp_sumpdos_exe qe_pp_epsilon_exe qe_pp_d3hess_exe qe_pp_wannierham_exe qe_pp_wannierplot_exe qe_pp_molecularpdos_exe qe_pp_pw2bgw_exe qe_pp_fermivelocity_exe qe_pp_fermisurface_exe qe_pp_fermiproj_exe qe_pp_ppacf_exe qe_pp_st_ef_exe qe_pp_st_dos_exe qe_pp_st_fermiint0_exe qe_pp_st_fermiint1_exe qe_pp_rism_exe qe_epw qe_epw_exe qe_zg_exe qe_zg_disca_exe qe_zg_pp_disca_exe qe_zg_bands_unfold_exe qe_zg_pp_spctrlfn_exe qe_zg_epsilon_Gaus_exe qe_gww qe_gww_pw4gww qe_gww_bse qe_gww_head qe_gww_minpack qe_gww_simple qe_gww_simplebse qe_gww_simpleip qe_gww_pw4gww_exe qe_gww_util_grap_exe qe_gww_util_abcoefftoeps_exe qe_gww_util_memorypw4gww_exe qe_gww_bse_bse_main_exe qe_gww_gww_exe qe_gww_gww_fit_exe qe_gww_head_exe qe_gww_simple_exe qe_gww_simple_bse_exe qe_gww_simple_ip_exe qe_hp qe_hp_exe qe_neb qe_neb_exe qe_neb_pathinterpolation_exe qe_pwcond_exe qe_tddfpt qe_tddfpt_turbolanczos_exe qe_tddfpt_turbodavidson_exe qe_tddfpt_turboeels_exe qe_tddfpt_turbomagnon_exe qe_tddfpt_turbospectrum_exe qe_xspectra_gipaw qe_xspectra qe_xspectra_exe qe_xspectra_spectracorrection_exe qe_xspectra_molecularnexafs_exe qe_qeheat_exe qe_kcw qe_kcw_exe qe_kcwpp_sh_exe qe_kcwpp_interp_exe qe_kcwpp_merge_wann_exe)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target QEGlobalCompileDefinitions
add_library(QEGlobalCompileDefinitions INTERFACE IMPORTED)

set_target_properties(QEGlobalCompileDefinitions PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "__HDF5;__HDF5_SERIAL;__FFTW3"
)

# Create imported target qe_openmp_fortran
add_library(qe_openmp_fortran INTERFACE IMPORTED)

set_target_properties(qe_openmp_fortran PROPERTIES
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANGUAGE:Fortran>:-foffload=disable>"
  INTERFACE_LINK_LIBRARIES "OpenMP::OpenMP_Fortran"
)

# Create imported target qe_openacc_fortran
add_library(qe_openacc_fortran INTERFACE IMPORTED)

# Create imported target qe_openacc_c
add_library(qe_openacc_c INTERFACE IMPORTED)

# Create imported target qe_mpi_fortran
add_library(qe_mpi_fortran INTERFACE IMPORTED)

# Create imported target qe_lapack
add_library(qe_lapack INTERFACE IMPORTED)

set_target_properties(qe_lapack PROPERTIES
  INTERFACE_LINK_LIBRARIES "${_IMPORT_PREFIX}/lib/libopenblas.dll.a;${_IMPORT_PREFIX}/lib/libopenblas.dll.a;${_IMPORT_PREFIX}/lib/libopenblas.dll.a;${_IMPORT_PREFIX}/lib/libgomp.dll.a;${_IMPORT_PREFIX}/lib/libmingwthrd.a;${_IMPORT_PREFIX}/lib/libmingwthrd.a"
)

# Create imported target qe_scalapack
add_library(qe_scalapack INTERFACE IMPORTED)

# Create imported target qe_elpa
add_library(qe_elpa INTERFACE IMPORTED)

# Create imported target qe_external_libxc
add_library(qe_external_libxc INTERFACE IMPORTED)

# Create imported target qe_hdf5_fortran
add_library(qe_hdf5_fortran INTERFACE IMPORTED)

set_target_properties(qe_hdf5_fortran PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "${_IMPORT_PREFIX}/lib/libhdf5_fortran.dll.a;${_IMPORT_PREFIX}/lib/libhdf5.dll.a"
)

# Create imported target qe_hdf5_c
add_library(qe_hdf5_c INTERFACE IMPORTED)

set_target_properties(qe_hdf5_c PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "${_IMPORT_PREFIX}/lib/libhdf5.dll.a"
)

# Create imported target qe_ext_prof_tool
add_library(qe_ext_prof_tool INTERFACE IMPORTED)

# Create imported target qe_fox
add_library(qe_fox INTERFACE IMPORTED)

set_target_properties(qe_fox PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "__fox"
  INTERFACE_LINK_LIBRARIES "FoX_fsys;FoX_utils;FoX_common;FoX_dom;FoX_sax;FoX_wxml"
)

# Create imported target FoX_fsys
add_library(FoX_fsys STATIC IMPORTED)

set_target_properties(FoX_fsys PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/FoX_fsys"
)

# Create imported target FoX_utils
add_library(FoX_utils STATIC IMPORTED)

set_target_properties(FoX_utils PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/FoX_fsys"
  INTERFACE_LINK_LIBRARIES "FoX_fsys"
)

# Create imported target FoX_common
add_library(FoX_common STATIC IMPORTED)

set_target_properties(FoX_common PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/FoX_fsys"
  INTERFACE_LINK_LIBRARIES "FoX_utils;FoX_fsys"
)

# Create imported target FoX_dom
add_library(FoX_dom STATIC IMPORTED)

set_target_properties(FoX_dom PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/FoX_fsys"
  INTERFACE_LINK_LIBRARIES "FoX_wxml;FoX_sax"
)

# Create imported target FoX_sax
add_library(FoX_sax STATIC IMPORTED)

set_target_properties(FoX_sax PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/FoX_fsys"
  INTERFACE_LINK_LIBRARIES "FoX_common;FoX_utils;FoX_fsys"
)

# Create imported target FoX_wxml
add_library(FoX_wxml STATIC IMPORTED)

set_target_properties(FoX_wxml PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/FoX_fsys"
  INTERFACE_LINK_LIBRARIES "FoX_common;FoX_fsys"
)

# Create imported target qe_wannier90
add_library(qe_wannier90 INTERFACE IMPORTED)

set_target_properties(qe_wannier90 PROPERTIES
  INTERFACE_LINK_LIBRARIES "Wannier90::Wannier90"
)

# Create imported target qe_mbd
add_library(qe_mbd INTERFACE IMPORTED)

set_target_properties(qe_mbd PROPERTIES
  INTERFACE_LINK_LIBRARIES "MBD::MBD"
)

# Create imported target qe_devxlib
add_library(qe_devxlib STATIC IMPORTED)

set_target_properties(qe_devxlib PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_devxlib"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions"
)

# Create imported target pw2qmcpack_mpi_c
add_library(pw2qmcpack_mpi_c INTERFACE IMPORTED)

# Create imported target pw2qmcpack_hdf5_c
add_library(pw2qmcpack_hdf5_c INTERFACE IMPORTED)

set_target_properties(pw2qmcpack_hdf5_c PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "${_IMPORT_PREFIX}/lib/libhdf5.dll.a;${_IMPORT_PREFIX}/lib/libhdf5_hl.dll.a;${_IMPORT_PREFIX}/lib/libhdf5.dll.a"
)

# Create imported target pw2qmcpack_esh5
add_library(pw2qmcpack_esh5 STATIC IMPORTED)

set_target_properties(pw2qmcpack_esh5 PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "H5_USE_16_API;__HDF5_C"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/pw2qmcpack_esh5"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:pw2qmcpack_hdf5_c>;\$<LINK_ONLY:pw2qmcpack_mpi_c>"
)

# Create imported target pw2qmcpack_exe
add_executable(pw2qmcpack_exe IMPORTED)

set_target_properties(pw2qmcpack_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/pw2qmcpack_exe"
)

# Create imported target qe_ext_fft
add_library(qe_ext_fft INTERFACE IMPORTED)

set_target_properties(qe_ext_fft PROPERTIES
  INTERFACE_LINK_LIBRARIES "FFTW3"
)

# Create imported target qe_fftx
add_library(qe_fftx STATIC IMPORTED)

set_target_properties(qe_fftx PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_fftx"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_fftx_c>;\$<LINK_ONLY:qe_ext_fft>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_mpi_fortran>"
)

# Create imported target qe_fftx_c
add_library(qe_fftx_c STATIC IMPORTED)

set_target_properties(qe_fftx_c PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_fftx_c"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions"
)

# Create imported target qe_utilx
add_library(qe_utilx STATIC IMPORTED)

set_target_properties(qe_utilx PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_utilx"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;qe_utilx_c;qe_ext_prof_tool;qe_mpi_fortran;\$<LINK_ONLY:qe_openmp_fortran>"
)

# Create imported target qe_utilx_c
add_library(qe_utilx_c STATIC IMPORTED)

# Create imported target qe_device_lapack
add_library(qe_device_lapack STATIC IMPORTED)

set_target_properties(qe_device_lapack PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_device_lapack"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_lapack>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_mpi_fortran>"
)

# Create imported target qe_modules
add_library(qe_modules STATIC IMPORTED)

set_target_properties(qe_modules PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_modules"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_device_lapack>;\$<LINK_ONLY:qe_modules_c>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_mbd>;\$<LINK_ONLY:qe_xclib>;\$<LINK_ONLY:qe_devxlib>;qe_openacc_fortran;qe_hdf5_fortran;qe_upflib;qe_fox;qe_utilx;qe_openacc_fortran"
)

# Create imported target qe_modules_c
add_library(qe_modules_c STATIC IMPORTED)

# Create imported target qe_lax
add_library(qe_lax STATIC IMPORTED)

set_target_properties(qe_lax PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_lax;${_IMPORT_PREFIX}/include/qe"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_elpa>;\$<LINK_ONLY:qe_lapack>;\$<LINK_ONLY:qe_scalapack>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_utilx>;\$<LINK_ONLY:qe_devxlib>"
)

# Create imported target qe_xclib
add_library(qe_xclib STATIC IMPORTED)

set_target_properties(qe_xclib PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_xclib"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;qe_openacc_fortran;qe_mpi_fortran;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_external_libxc>;\$<LINK_ONLY:qe_libbeef>"
)

# Create imported target qe_libbeef
add_library(qe_libbeef STATIC IMPORTED)

set_target_properties(qe_libbeef PROPERTIES
  INTERFACE_LINK_LIBRARIES "qe_openacc_c;\$<LINK_ONLY:qe_lapack>"
)

# Create imported target qe_xc_infos
add_executable(qe_xc_infos IMPORTED)

set_target_properties(qe_xc_infos PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_xc_infos"
)

# Create imported target qe_kssolver_davidson
add_library(qe_kssolver_davidson STATIC IMPORTED)

set_target_properties(qe_kssolver_davidson PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kssolver_davidson"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_device_lapack>;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_utilx>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_devxlib>"
)

# Create imported target qe_kssolver_davidsonrci
add_library(qe_kssolver_davidsonrci STATIC IMPORTED)

set_target_properties(qe_kssolver_davidsonrci PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kssolver_davidsonrci"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_utilx>;\$<LINK_ONLY:qe_mpi_fortran>"
)

# Create imported target qe_kssolver_cg
add_library(qe_kssolver_cg STATIC IMPORTED)

set_target_properties(qe_kssolver_cg PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kssolver_cg"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_utilx>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_devxlib>"
)

# Create imported target qe_kssolver_ppcg
add_library(qe_kssolver_ppcg STATIC IMPORTED)

set_target_properties(qe_kssolver_ppcg PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kssolver_ppcg"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_scalapack>;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_utilx>;\$<LINK_ONLY:qe_mpi_fortran>"
)

# Create imported target qe_kssolver_paro
add_library(qe_kssolver_paro STATIC IMPORTED)

set_target_properties(qe_kssolver_paro PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kssolver_paro"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_device_lapack>;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_kssolver_dense>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_utilx>;\$<LINK_ONLY:qe_mpi_fortran>"
)

# Create imported target qe_kssolver_dense
add_library(qe_kssolver_dense STATIC IMPORTED)

set_target_properties(qe_kssolver_dense PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kssolver_dense;${_IMPORT_PREFIX}/include/qe"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_utilx>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_devxlib>"
)

# Create imported target qe_kssolver_rmmdiis
add_library(qe_kssolver_rmmdiis STATIC IMPORTED)

set_target_properties(qe_kssolver_rmmdiis PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kssolver_rmmdiis"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_utilx>;\$<LINK_ONLY:qe_devxlib>;\$<LINK_ONLY:qe_mpi_fortran>"
)

# Create imported target qe_dftd3
add_library(qe_dftd3 STATIC IMPORTED)

set_target_properties(qe_dftd3 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_dftd3"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;qe_openacc_fortran;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_upflib>"
)

# Create imported target qe_pw
add_library(qe_pw STATIC IMPORTED)

set_target_properties(qe_pw PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "__LEGACY_PLUGINS"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pw"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_device_lapack>;\$<LINK_ONLY:qe_hdf5_fortran>;\$<LINK_ONLY:qe_elpa>;\$<LINK_ONLY:qe_scalapack>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_kssolver_davidson>;\$<LINK_ONLY:qe_kssolver_cg>;\$<LINK_ONLY:qe_kssolver_ppcg>;\$<LINK_ONLY:qe_kssolver_paro>;\$<LINK_ONLY:qe_kssolver_rmmdiis>;\$<LINK_ONLY:qe_kssolver_dense>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_dftd3>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_xclib>;\$<LINK_ONLY:qe_devxlib>;\$<LINK_ONLY:qe_mbd>;qe_openacc_fortran"
)

# Create imported target qe_pw_exe
add_executable(qe_pw_exe IMPORTED)

set_target_properties(qe_pw_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pw_exe"
)

# Create imported target qe_pw_tools_ibrav2cell_exe
add_executable(qe_pw_tools_ibrav2cell_exe IMPORTED)

set_target_properties(qe_pw_tools_ibrav2cell_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pw_tools_ibrav2cell_exe"
)

# Create imported target qe_pw_tools_cell2ibrav_exe
add_executable(qe_pw_tools_cell2ibrav_exe IMPORTED)

set_target_properties(qe_pw_tools_cell2ibrav_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pw_tools_cell2ibrav_exe"
)

# Create imported target qe_pw_tools_ev_exe
add_executable(qe_pw_tools_ev_exe IMPORTED)

set_target_properties(qe_pw_tools_ev_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pw_tools_ev_exe"
)

# Create imported target qe_pw_tools_kpoints_exe
add_executable(qe_pw_tools_kpoints_exe IMPORTED)

set_target_properties(qe_pw_tools_kpoints_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pw_tools_kpoints_exe"
)

# Create imported target qe_pw_tools_pwi2xsf_exe
add_executable(qe_pw_tools_pwi2xsf_exe IMPORTED)

set_target_properties(qe_pw_tools_pwi2xsf_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pw_tools_pwi2xsf_exe"
)

# Create imported target qe_pw_tools_scan_ibrav_exe
add_executable(qe_pw_tools_scan_ibrav_exe IMPORTED)

set_target_properties(qe_pw_tools_scan_ibrav_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pw_tools_scan_ibrav_exe"
)

# Create imported target qe_cpv
add_library(qe_cpv STATIC IMPORTED)

set_target_properties(qe_cpv PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "__LEGACY_PLUGINS"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_cpv"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_xclib>;\$<LINK_ONLY:qe_device_lapack>;\$<LINK_ONLY:qe_devxlib>;qe_openacc_fortran"
)

# Create imported target qe_cpv_exe
add_executable(qe_cpv_exe IMPORTED)

set_target_properties(qe_cpv_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_cpv_exe"
)

# Create imported target qe_cpv_manycp_exe
add_executable(qe_cpv_manycp_exe IMPORTED)

set_target_properties(qe_cpv_manycp_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_cpv_manycp_exe"
)

# Create imported target qe_cpv_cppp_exe
add_executable(qe_cpv_cppp_exe IMPORTED)

set_target_properties(qe_cpv_cppp_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_cpv_cppp_exe"
)

# Create imported target qe_cpv_wfdd_exe
add_executable(qe_cpv_wfdd_exe IMPORTED)

set_target_properties(qe_cpv_wfdd_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_cpv_wfdd_exe"
)

# Create imported target qe_atomic
add_library(qe_atomic STATIC IMPORTED)

set_target_properties(qe_atomic PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_atomic"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_atomic_exe
add_executable(qe_atomic_exe IMPORTED)

set_target_properties(qe_atomic_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_atomic_exe"
)

# Create imported target qe_xml
add_library(qe_xml STATIC IMPORTED)

set_target_properties(qe_xml PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_xml"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions"
)

# Create imported target qe_upflib
add_library(qe_upflib STATIC IMPORTED)

set_target_properties(qe_upflib PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_upflib"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;qe_openacc_fortran;qe_xml;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_lapack>;\$<LINK_ONLY:qe_utilx>"
)

# Create imported target qe_upflib_virtual_v2_exe
add_executable(qe_upflib_virtual_v2_exe IMPORTED)

set_target_properties(qe_upflib_virtual_v2_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_upflib_virtual_v2_exe"
)

# Create imported target qe_upflib_upfconv_exe
add_executable(qe_upflib_upfconv_exe IMPORTED)

set_target_properties(qe_upflib_upfconv_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_upflib_upfconv_exe"
)

# Create imported target qe_upflib_casino2upf_exe
add_executable(qe_upflib_casino2upf_exe IMPORTED)

set_target_properties(qe_upflib_casino2upf_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_upflib_casino2upf_exe"
)

# Create imported target qe_upflib_hgh2qe_exe
add_executable(qe_upflib_hgh2qe_exe IMPORTED)

set_target_properties(qe_upflib_hgh2qe_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_upflib_hgh2qe_exe"
)

# Create imported target qe_couple
add_library(qe_couple STATIC IMPORTED)

set_target_properties(qe_couple PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_couple"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_cpv>"
)

# Create imported target qe_lr_modules
add_library(qe_lr_modules STATIC IMPORTED)

set_target_properties(qe_lr_modules PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_lr_modules"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_xclib>;\$<LINK_ONLY:qe_device_lapack>"
)

# Create imported target qe_phonon_ph
add_library(qe_phonon_ph STATIC IMPORTED)

set_target_properties(qe_phonon_ph PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_ph"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_hdf5_fortran>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_lr_modules>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_dftd3>;\$<LINK_ONLY:qe_fox>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_phonon_phaux
add_library(qe_phonon_phaux STATIC IMPORTED)

set_target_properties(qe_phonon_phaux PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_phaux"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_lr_modules>"
)

# Create imported target qe_phonon_gamma
add_library(qe_phonon_gamma STATIC IMPORTED)

set_target_properties(qe_phonon_gamma PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_gamma"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_lr_modules>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_phonon_fd
add_library(qe_phonon_fd STATIC IMPORTED)

set_target_properties(qe_phonon_fd PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_fd"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_lr_modules>"
)

# Create imported target qe_phonon_ph_exe
add_executable(qe_phonon_ph_exe IMPORTED)

set_target_properties(qe_phonon_ph_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_ph_exe"
)

# Create imported target qe_phonon_phcg_exe
add_executable(qe_phonon_phcg_exe IMPORTED)

set_target_properties(qe_phonon_phcg_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_phcg_exe"
)

# Create imported target qe_phonon_dynmat_exe
add_executable(qe_phonon_dynmat_exe IMPORTED)

set_target_properties(qe_phonon_dynmat_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_dynmat_exe"
)

# Create imported target qe_phonon_q2r_exe
add_executable(qe_phonon_q2r_exe IMPORTED)

set_target_properties(qe_phonon_q2r_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_q2r_exe"
)

# Create imported target qe_phonon_dvscf_q2r_exe
add_executable(qe_phonon_dvscf_q2r_exe IMPORTED)

set_target_properties(qe_phonon_dvscf_q2r_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_dvscf_q2r_exe"
)

# Create imported target qe_phonon_matdyn_exe
add_executable(qe_phonon_matdyn_exe IMPORTED)

set_target_properties(qe_phonon_matdyn_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_matdyn_exe"
)

# Create imported target qe_phonon_q2qstar_exe
add_executable(qe_phonon_q2qstar_exe IMPORTED)

set_target_properties(qe_phonon_q2qstar_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_q2qstar_exe"
)

# Create imported target qe_phonon_lambda_exe
add_executable(qe_phonon_lambda_exe IMPORTED)

set_target_properties(qe_phonon_lambda_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_lambda_exe"
)

# Create imported target qe_phonon_alpha2f_exe
add_executable(qe_phonon_alpha2f_exe IMPORTED)

set_target_properties(qe_phonon_alpha2f_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_alpha2f_exe"
)

# Create imported target qe_phonon_epa_exe
add_executable(qe_phonon_epa_exe IMPORTED)

set_target_properties(qe_phonon_epa_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_epa_exe"
)

# Create imported target qe_phonon_fqha_exe
add_executable(qe_phonon_fqha_exe IMPORTED)

set_target_properties(qe_phonon_fqha_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_fqha_exe"
)

# Create imported target qe_phonon_fd_exe
add_executable(qe_phonon_fd_exe IMPORTED)

set_target_properties(qe_phonon_fd_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_fd_exe"
)

# Create imported target qe_phonon_fdef_exe
add_executable(qe_phonon_fdef_exe IMPORTED)

set_target_properties(qe_phonon_fdef_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_fdef_exe"
)

# Create imported target qe_phonon_fdifc_exe
add_executable(qe_phonon_fdifc_exe IMPORTED)

set_target_properties(qe_phonon_fdifc_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_fdifc_exe"
)

# Create imported target qe_phonon_postahc_exe
add_executable(qe_phonon_postahc_exe IMPORTED)

set_target_properties(qe_phonon_postahc_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_phonon_postahc_exe"
)

# Create imported target qe_pp
add_library(qe_pp STATIC IMPORTED)

set_target_properties(qe_pp PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_pp_exe
add_executable(qe_pp_exe IMPORTED)

set_target_properties(qe_pp_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_exe"
)

# Create imported target qe_pp_opengrid_exe
add_executable(qe_pp_opengrid_exe IMPORTED)

set_target_properties(qe_pp_opengrid_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_opengrid_exe"
)

# Create imported target qe_pp_average_exe
add_executable(qe_pp_average_exe IMPORTED)

set_target_properties(qe_pp_average_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_average_exe"
)

# Create imported target qe_pp_bands_exe
add_executable(qe_pp_bands_exe IMPORTED)

set_target_properties(qe_pp_bands_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_bands_exe"
)

# Create imported target qe_pp_dos_exe
add_executable(qe_pp_dos_exe IMPORTED)

set_target_properties(qe_pp_dos_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_dos_exe"
)

# Create imported target qe_pp_pawplot_exe
add_executable(qe_pp_pawplot_exe IMPORTED)

set_target_properties(qe_pp_pawplot_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_pawplot_exe"
)

# Create imported target qe_pp_planavg_exe
add_executable(qe_pp_planavg_exe IMPORTED)

set_target_properties(qe_pp_planavg_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_planavg_exe"
)

# Create imported target qe_pp_plotband_exe
add_executable(qe_pp_plotband_exe IMPORTED)

set_target_properties(qe_pp_plotband_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_plotband_exe"
)

# Create imported target qe_pp_plotproj_exe
add_executable(qe_pp_plotproj_exe IMPORTED)

set_target_properties(qe_pp_plotproj_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_plotproj_exe"
)

# Create imported target qe_pp_plotrho_exe
add_executable(qe_pp_plotrho_exe IMPORTED)

set_target_properties(qe_pp_plotrho_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_plotrho_exe"
)

# Create imported target qe_pp_pmw_exe
add_executable(qe_pp_pmw_exe IMPORTED)

set_target_properties(qe_pp_pmw_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_pmw_exe"
)

# Create imported target qe_pp_projwfc_exe
add_executable(qe_pp_projwfc_exe IMPORTED)

set_target_properties(qe_pp_projwfc_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_projwfc_exe"
)

# Create imported target qe_pp_pw2wannier90_exe
add_executable(qe_pp_pw2wannier90_exe IMPORTED)

set_target_properties(qe_pp_pw2wannier90_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_pw2wannier90_exe"
)

# Create imported target qe_pp_pw2critic_exe
add_executable(qe_pp_pw2critic_exe IMPORTED)

set_target_properties(qe_pp_pw2critic_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_pw2critic_exe"
)

# Create imported target qe_pp_wfck2r_exe
add_executable(qe_pp_wfck2r_exe IMPORTED)

set_target_properties(qe_pp_wfck2r_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_wfck2r_exe"
)

# Create imported target qe_pp_initial_state_exe
add_executable(qe_pp_initial_state_exe IMPORTED)

set_target_properties(qe_pp_initial_state_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_initial_state_exe"
)

# Create imported target qe_pp_pw2gw_exe
add_executable(qe_pp_pw2gw_exe IMPORTED)

set_target_properties(qe_pp_pw2gw_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_pw2gw_exe"
)

# Create imported target qe_pp_pw2gt_exe
add_executable(qe_pp_pw2gt_exe IMPORTED)

set_target_properties(qe_pp_pw2gt_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_pw2gt_exe"
)

# Create imported target qe_pp_sumpdos_exe
add_executable(qe_pp_sumpdos_exe IMPORTED)

set_target_properties(qe_pp_sumpdos_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_sumpdos_exe"
)

# Create imported target qe_pp_epsilon_exe
add_executable(qe_pp_epsilon_exe IMPORTED)

set_target_properties(qe_pp_epsilon_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_epsilon_exe"
)

# Create imported target qe_pp_d3hess_exe
add_executable(qe_pp_d3hess_exe IMPORTED)

set_target_properties(qe_pp_d3hess_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_d3hess_exe"
)

# Create imported target qe_pp_wannierham_exe
add_executable(qe_pp_wannierham_exe IMPORTED)

set_target_properties(qe_pp_wannierham_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_wannierham_exe"
)

# Create imported target qe_pp_wannierplot_exe
add_executable(qe_pp_wannierplot_exe IMPORTED)

set_target_properties(qe_pp_wannierplot_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_wannierplot_exe"
)

# Create imported target qe_pp_molecularpdos_exe
add_executable(qe_pp_molecularpdos_exe IMPORTED)

set_target_properties(qe_pp_molecularpdos_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_molecularpdos_exe"
)

# Create imported target qe_pp_pw2bgw_exe
add_executable(qe_pp_pw2bgw_exe IMPORTED)

set_target_properties(qe_pp_pw2bgw_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_pw2bgw_exe"
)

# Create imported target qe_pp_fermivelocity_exe
add_executable(qe_pp_fermivelocity_exe IMPORTED)

set_target_properties(qe_pp_fermivelocity_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_fermivelocity_exe"
)

# Create imported target qe_pp_fermisurface_exe
add_executable(qe_pp_fermisurface_exe IMPORTED)

set_target_properties(qe_pp_fermisurface_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_fermisurface_exe"
)

# Create imported target qe_pp_fermiproj_exe
add_executable(qe_pp_fermiproj_exe IMPORTED)

set_target_properties(qe_pp_fermiproj_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_fermiproj_exe"
)

# Create imported target qe_pp_ppacf_exe
add_executable(qe_pp_ppacf_exe IMPORTED)

set_target_properties(qe_pp_ppacf_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_ppacf_exe"
)

# Create imported target qe_pp_st_ef_exe
add_executable(qe_pp_st_ef_exe IMPORTED)

set_target_properties(qe_pp_st_ef_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_st_ef_exe"
)

# Create imported target qe_pp_st_dos_exe
add_executable(qe_pp_st_dos_exe IMPORTED)

set_target_properties(qe_pp_st_dos_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_st_dos_exe"
)

# Create imported target qe_pp_st_fermiint0_exe
add_executable(qe_pp_st_fermiint0_exe IMPORTED)

set_target_properties(qe_pp_st_fermiint0_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_st_fermiint0_exe"
)

# Create imported target qe_pp_st_fermiint1_exe
add_executable(qe_pp_st_fermiint1_exe IMPORTED)

set_target_properties(qe_pp_st_fermiint1_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_st_fermiint1_exe"
)

# Create imported target qe_pp_rism_exe
add_executable(qe_pp_rism_exe IMPORTED)

set_target_properties(qe_pp_rism_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pp_rism_exe"
)

# Create imported target qe_epw
add_library(qe_epw STATIC IMPORTED)

set_target_properties(qe_epw PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_epw"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_wannier90>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_lr_modules>;\$<LINK_ONLY:qe_phonon_ph>;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_elpa>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_epw_exe
add_executable(qe_epw_exe IMPORTED)

set_target_properties(qe_epw_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_epw_exe"
)

# Create imported target qe_zg_exe
add_executable(qe_zg_exe IMPORTED)

set_target_properties(qe_zg_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_zg_exe"
)

# Create imported target qe_zg_disca_exe
add_executable(qe_zg_disca_exe IMPORTED)

set_target_properties(qe_zg_disca_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_zg_disca_exe"
)

# Create imported target qe_zg_pp_disca_exe
add_executable(qe_zg_pp_disca_exe IMPORTED)

set_target_properties(qe_zg_pp_disca_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_zg_pp_disca_exe"
)

# Create imported target qe_zg_bands_unfold_exe
add_executable(qe_zg_bands_unfold_exe IMPORTED)

set_target_properties(qe_zg_bands_unfold_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_zg_bands_unfold_exe"
)

# Create imported target qe_zg_pp_spctrlfn_exe
add_executable(qe_zg_pp_spctrlfn_exe IMPORTED)

set_target_properties(qe_zg_pp_spctrlfn_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_zg_pp_spctrlfn_exe"
)

# Create imported target qe_zg_epsilon_Gaus_exe
add_executable(qe_zg_epsilon_Gaus_exe IMPORTED)

set_target_properties(qe_zg_epsilon_Gaus_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_zg_epsilon_Gaus_exe"
)

# Create imported target qe_gww
add_library(qe_gww STATIC IMPORTED)

set_target_properties(qe_gww PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_gww_minpack>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_modules>"
)

# Create imported target qe_gww_pw4gww
add_library(qe_gww_pw4gww STATIC IMPORTED)

set_target_properties(qe_gww_pw4gww PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_pw4gww"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_scalapack>;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_gww>;\$<LINK_ONLY:qe_utilx>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_lax>;\$<LINK_ONLY:qe_gww_minpack>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_gww_bse
add_library(qe_gww_bse STATIC IMPORTED)

set_target_properties(qe_gww_bse PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_bse"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_gww>;\$<LINK_ONLY:qe_gww_pw4gww>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_gww_head
add_library(qe_gww_head STATIC IMPORTED)

set_target_properties(qe_gww_head PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_head"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_lr_modules>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_phonon_ph>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_gww_minpack
add_library(qe_gww_minpack STATIC IMPORTED)

set_target_properties(qe_gww_minpack PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_minpack"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_modules>"
)

# Create imported target qe_gww_simple
add_library(qe_gww_simple STATIC IMPORTED)

set_target_properties(qe_gww_simple PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_simple"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_gww>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_gww_simplebse
add_library(qe_gww_simplebse STATIC IMPORTED)

set_target_properties(qe_gww_simplebse PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_simplebse"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_modules>"
)

# Create imported target qe_gww_simpleip
add_library(qe_gww_simpleip STATIC IMPORTED)

set_target_properties(qe_gww_simpleip PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_simpleip"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_pw>"
)

# Create imported target qe_gww_pw4gww_exe
add_executable(qe_gww_pw4gww_exe IMPORTED)

set_target_properties(qe_gww_pw4gww_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_pw4gww_exe"
)

# Create imported target qe_gww_util_grap_exe
add_executable(qe_gww_util_grap_exe IMPORTED)

set_target_properties(qe_gww_util_grap_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_util_grap_exe"
)

# Create imported target qe_gww_util_abcoefftoeps_exe
add_executable(qe_gww_util_abcoefftoeps_exe IMPORTED)

set_target_properties(qe_gww_util_abcoefftoeps_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_util_abcoefftoeps_exe"
)

# Create imported target qe_gww_util_memorypw4gww_exe
add_executable(qe_gww_util_memorypw4gww_exe IMPORTED)

set_target_properties(qe_gww_util_memorypw4gww_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_util_memorypw4gww_exe"
)

# Create imported target qe_gww_bse_bse_main_exe
add_executable(qe_gww_bse_bse_main_exe IMPORTED)

set_target_properties(qe_gww_bse_bse_main_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_bse_bse_main_exe"
)

# Create imported target qe_gww_gww_exe
add_executable(qe_gww_gww_exe IMPORTED)

set_target_properties(qe_gww_gww_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_gww_exe"
)

# Create imported target qe_gww_gww_fit_exe
add_executable(qe_gww_gww_fit_exe IMPORTED)

set_target_properties(qe_gww_gww_fit_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_gww_fit_exe"
)

# Create imported target qe_gww_head_exe
add_executable(qe_gww_head_exe IMPORTED)

set_target_properties(qe_gww_head_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_head_exe"
)

# Create imported target qe_gww_simple_exe
add_executable(qe_gww_simple_exe IMPORTED)

set_target_properties(qe_gww_simple_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_simple_exe"
)

# Create imported target qe_gww_simple_bse_exe
add_executable(qe_gww_simple_bse_exe IMPORTED)

set_target_properties(qe_gww_simple_bse_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_simple_bse_exe"
)

# Create imported target qe_gww_simple_ip_exe
add_executable(qe_gww_simple_ip_exe IMPORTED)

set_target_properties(qe_gww_simple_ip_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_gww_simple_ip_exe"
)

# Create imported target qe_hp
add_library(qe_hp STATIC IMPORTED)

set_target_properties(qe_hp PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_hp"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_lr_modules>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_hp_exe
add_executable(qe_hp_exe IMPORTED)

set_target_properties(qe_hp_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_hp_exe"
)

# Create imported target qe_neb
add_library(qe_neb STATIC IMPORTED)

set_target_properties(qe_neb PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_neb"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_neb_exe
add_executable(qe_neb_exe IMPORTED)

set_target_properties(qe_neb_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_neb_exe"
)

# Create imported target qe_neb_pathinterpolation_exe
add_executable(qe_neb_pathinterpolation_exe IMPORTED)

set_target_properties(qe_neb_pathinterpolation_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_neb_pathinterpolation_exe"
)

# Create imported target qe_pwcond_exe
add_executable(qe_pwcond_exe IMPORTED)

set_target_properties(qe_pwcond_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_pwcond_exe"
)

# Create imported target qe_tddfpt
add_library(qe_tddfpt STATIC IMPORTED)

set_target_properties(qe_tddfpt PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_tddfpt"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_hdf5_fortran>;\$<LINK_ONLY:qe_openmp_fortran>;\$<LINK_ONLY:qe_openacc_fortran>;\$<LINK_ONLY:qe_mpi_fortran>;\$<LINK_ONLY:qe_lr_modules>;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_tddfpt_turbolanczos_exe
add_executable(qe_tddfpt_turbolanczos_exe IMPORTED)

set_target_properties(qe_tddfpt_turbolanczos_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_tddfpt_turbolanczos_exe"
)

# Create imported target qe_tddfpt_turbodavidson_exe
add_executable(qe_tddfpt_turbodavidson_exe IMPORTED)

set_target_properties(qe_tddfpt_turbodavidson_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_tddfpt_turbodavidson_exe"
)

# Create imported target qe_tddfpt_turboeels_exe
add_executable(qe_tddfpt_turboeels_exe IMPORTED)

set_target_properties(qe_tddfpt_turboeels_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_tddfpt_turboeels_exe"
)

# Create imported target qe_tddfpt_turbomagnon_exe
add_executable(qe_tddfpt_turbomagnon_exe IMPORTED)

set_target_properties(qe_tddfpt_turbomagnon_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_tddfpt_turbomagnon_exe"
)

# Create imported target qe_tddfpt_turbospectrum_exe
add_executable(qe_tddfpt_turbospectrum_exe IMPORTED)

set_target_properties(qe_tddfpt_turbospectrum_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_tddfpt_turbospectrum_exe"
)

# Create imported target qe_xspectra_gipaw
add_library(qe_xspectra_gipaw STATIC IMPORTED)

set_target_properties(qe_xspectra_gipaw PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_xspectra_gipaw"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_xspectra
add_library(qe_xspectra STATIC IMPORTED)

set_target_properties(qe_xspectra PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_xspectra"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_xspectra_gipaw>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_xspectra_exe
add_executable(qe_xspectra_exe IMPORTED)

set_target_properties(qe_xspectra_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_xspectra_exe"
)

# Create imported target qe_xspectra_spectracorrection_exe
add_executable(qe_xspectra_spectracorrection_exe IMPORTED)

set_target_properties(qe_xspectra_spectracorrection_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_xspectra_spectracorrection_exe"
)

# Create imported target qe_xspectra_molecularnexafs_exe
add_executable(qe_xspectra_molecularnexafs_exe IMPORTED)

set_target_properties(qe_xspectra_molecularnexafs_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_xspectra_molecularnexafs_exe"
)

# Create imported target qe_qeheat_exe
add_executable(qe_qeheat_exe IMPORTED)

set_target_properties(qe_qeheat_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_qeheat_exe"
)

# Create imported target qe_kcw
add_library(qe_kcw STATIC IMPORTED)

set_target_properties(qe_kcw PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kcw"
  INTERFACE_LINK_LIBRARIES "QEGlobalCompileDefinitions;\$<LINK_ONLY:qe_pw>;\$<LINK_ONLY:qe_lr_modules>;\$<LINK_ONLY:qe_modules>;\$<LINK_ONLY:qe_fftx>;\$<LINK_ONLY:qe_upflib>;\$<LINK_ONLY:qe_xclib>"
)

# Create imported target qe_kcw_exe
add_executable(qe_kcw_exe IMPORTED)

set_target_properties(qe_kcw_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kcw_exe"
)

# Create imported target qe_kcwpp_sh_exe
add_executable(qe_kcwpp_sh_exe IMPORTED)

set_target_properties(qe_kcwpp_sh_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kcwpp_sh_exe"
)

# Create imported target qe_kcwpp_interp_exe
add_executable(qe_kcwpp_interp_exe IMPORTED)

set_target_properties(qe_kcwpp_interp_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kcwpp_interp_exe"
)

# Create imported target qe_kcwpp_merge_wann_exe
add_executable(qe_kcwpp_merge_wann_exe IMPORTED)

set_target_properties(qe_kcwpp_merge_wann_exe PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/qe/qe_kcwpp_merge_wann_exe"
)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/qeTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
